SUSE 5053 Published by

The following updates are available for openSUSE Leap and/or SUSE Linux Enterprise:

SUSE-SU-2024:0870-1: moderate: Security update for glibc
SUSE-SU-2024:0871-1: important: Security update for vim
SUSE-SU-2024:0876-1: important: Security update for sudo
SUSE-SU-2024:0877-1: important: Security update for sudo
openSUSE-SU-2024:0082-1: important: Security update for python-rpyc




SUSE-SU-2024:0870-1: moderate: Security update for glibc


# Security update for glibc

Announcement ID: SUSE-SU-2024:0870-1
Rating: moderate
References:

* bsc#1217445
* bsc#1217589
* bsc#1218866

Affected Products:

* Basesystem Module 15-SP5
* Development Tools Module 15-SP5
* openSUSE Leap 15.3
* openSUSE Leap 15.5
* openSUSE Leap Micro 5.3
* openSUSE Leap Micro 5.4
* SUSE Enterprise Storage 7.1
* SUSE Linux Enterprise Desktop 15 SP4 LTSS 15-SP4
* SUSE Linux Enterprise Desktop 15 SP5
* SUSE Linux Enterprise High Performance Computing 15 SP3
* SUSE Linux Enterprise High Performance Computing 15 SP4
* SUSE Linux Enterprise High Performance Computing 15 SP5
* SUSE Linux Enterprise High Performance Computing ESPOS 15 SP4
* SUSE Linux Enterprise High Performance Computing LTSS 15 SP3
* SUSE Linux Enterprise High Performance Computing LTSS 15 SP4
* SUSE Linux Enterprise Micro 5.1
* SUSE Linux Enterprise Micro 5.2
* SUSE Linux Enterprise Micro 5.3
* SUSE Linux Enterprise Micro 5.4
* SUSE Linux Enterprise Micro 5.5
* SUSE Linux Enterprise Micro for Rancher 5.2
* SUSE Linux Enterprise Micro for Rancher 5.3
* SUSE Linux Enterprise Micro for Rancher 5.4
* SUSE Linux Enterprise Real Time 15 SP5
* SUSE Linux Enterprise Server 15 SP3
* SUSE Linux Enterprise Server 15 SP3 LTSS 15-SP3
* SUSE Linux Enterprise Server 15 SP4
* SUSE Linux Enterprise Server 15 SP4 LTSS 15-SP4
* SUSE Linux Enterprise Server 15 SP5
* SUSE Linux Enterprise Server for SAP Applications 15 SP3
* SUSE Linux Enterprise Server for SAP Applications 15 SP4
* SUSE Linux Enterprise Server for SAP Applications 15 SP5
* SUSE Manager Proxy 4.3
* SUSE Manager Retail Branch Server 4.3
* SUSE Manager Server 4.3

An update that has three security fixes can now be installed.

## Description:

This update for glibc fixes the following issues:

Security issues fixed:

* qsort: harden handling of degenerated / non transient compare function
(bsc#1218866)

Other issues fixed:

* getaddrinfo: translate ENOMEM to EAI_MEMORY (bsc#1217589, BZ #31163)
* aarch64: correct CFI in rawmemchr (bsc#1217445, BZ #31113)

## Patch Instructions:

To install this SUSE update use the SUSE recommended installation methods like
YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

* openSUSE Leap 15.3
zypper in -t patch SUSE-2024-870=1

* openSUSE Leap Micro 5.3
zypper in -t patch openSUSE-Leap-Micro-5.3-2024-870=1

* openSUSE Leap Micro 5.4
zypper in -t patch openSUSE-Leap-Micro-5.4-2024-870=1

* openSUSE Leap 15.5
zypper in -t patch openSUSE-SLE-15.5-2024-870=1

* SUSE Linux Enterprise Micro for Rancher 5.3
zypper in -t patch SUSE-SLE-Micro-5.3-2024-870=1

* SUSE Linux Enterprise Micro 5.3
zypper in -t patch SUSE-SLE-Micro-5.3-2024-870=1

* SUSE Linux Enterprise Micro for Rancher 5.4
zypper in -t patch SUSE-SLE-Micro-5.4-2024-870=1

* SUSE Linux Enterprise Micro 5.4
zypper in -t patch SUSE-SLE-Micro-5.4-2024-870=1

* SUSE Linux Enterprise Micro 5.5
zypper in -t patch SUSE-SLE-Micro-5.5-2024-870=1

* Basesystem Module 15-SP5
zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP5-2024-870=1

* Development Tools Module 15-SP5
zypper in -t patch SUSE-SLE-Module-Development-Tools-15-SP5-2024-870=1

* SUSE Linux Enterprise High Performance Computing LTSS 15 SP3
zypper in -t patch SUSE-SLE-Product-HPC-15-SP3-LTSS-2024-870=1

* SUSE Linux Enterprise High Performance Computing ESPOS 15 SP4
zypper in -t patch SUSE-SLE-Product-HPC-15-SP4-ESPOS-2024-870=1

* SUSE Linux Enterprise High Performance Computing LTSS 15 SP4
zypper in -t patch SUSE-SLE-Product-HPC-15-SP4-LTSS-2024-870=1

* SUSE Linux Enterprise Desktop 15 SP4 LTSS 15-SP4
zypper in -t patch SUSE-SLE-Product-SLED-15-SP4-LTSS-2024-870=1

* SUSE Linux Enterprise Server 15 SP3 LTSS 15-SP3
zypper in -t patch SUSE-SLE-Product-SLES-15-SP3-LTSS-2024-870=1

* SUSE Linux Enterprise Server 15 SP4 LTSS 15-SP4
zypper in -t patch SUSE-SLE-Product-SLES-15-SP4-LTSS-2024-870=1

* SUSE Linux Enterprise Server for SAP Applications 15 SP3
zypper in -t patch SUSE-SLE-Product-SLES_SAP-15-SP3-2024-870=1

* SUSE Linux Enterprise Server for SAP Applications 15 SP4
zypper in -t patch SUSE-SLE-Product-SLES_SAP-15-SP4-2024-870=1

* SUSE Manager Proxy 4.3
zypper in -t patch SUSE-SLE-Product-SUSE-Manager-Proxy-4.3-2024-870=1

* SUSE Manager Retail Branch Server 4.3
zypper in -t patch SUSE-SLE-Product-SUSE-Manager-Retail-Branch-
Server-4.3-2024-870=1

* SUSE Manager Server 4.3
zypper in -t patch SUSE-SLE-Product-SUSE-Manager-Server-4.3-2024-870=1

* SUSE Enterprise Storage 7.1
zypper in -t patch SUSE-Storage-7.1-2024-870=1

* SUSE Linux Enterprise Micro 5.1
zypper in -t patch SUSE-SUSE-MicroOS-5.1-2024-870=1

* SUSE Linux Enterprise Micro 5.2
zypper in -t patch SUSE-SUSE-MicroOS-5.2-2024-870=1

* SUSE Linux Enterprise Micro for Rancher 5.2
zypper in -t patch SUSE-SUSE-MicroOS-5.2-2024-870=1

## Package List:

* openSUSE Leap 15.3 (aarch64 ppc64le s390x x86_64 i586 i686)
* glibc-locale-2.31-150300.68.1
* glibc-devel-2.31-150300.68.1
* glibc-locale-base-2.31-150300.68.1
* glibc-locale-base-debuginfo-2.31-150300.68.1
* glibc-debuginfo-2.31-150300.68.1
* glibc-devel-static-2.31-150300.68.1
* glibc-devel-debuginfo-2.31-150300.68.1
* glibc-profile-2.31-150300.68.1
* glibc-2.31-150300.68.1
* glibc-debugsource-2.31-150300.68.1
* openSUSE Leap 15.3 (aarch64 ppc64le s390x x86_64 i586)
* glibc-utils-2.31-150300.68.1
* nscd-2.31-150300.68.1
* glibc-extra-2.31-150300.68.1
* nscd-debuginfo-2.31-150300.68.1
* glibc-utils-debuginfo-2.31-150300.68.1
* glibc-utils-src-debugsource-2.31-150300.68.1
* glibc-extra-debuginfo-2.31-150300.68.1
* openSUSE Leap 15.3 (noarch)
* glibc-info-2.31-150300.68.1
* glibc-i18ndata-2.31-150300.68.1
* glibc-html-2.31-150300.68.1
* glibc-lang-2.31-150300.68.1
* openSUSE Leap 15.3 (x86_64)
* glibc-utils-32bit-2.31-150300.68.1
* glibc-locale-base-32bit-debuginfo-2.31-150300.68.1
* glibc-32bit-debuginfo-2.31-150300.68.1
* glibc-utils-32bit-debuginfo-2.31-150300.68.1
* glibc-profile-32bit-2.31-150300.68.1
* glibc-locale-base-32bit-2.31-150300.68.1
* glibc-devel-32bit-debuginfo-2.31-150300.68.1
* glibc-devel-32bit-2.31-150300.68.1
* glibc-devel-static-32bit-2.31-150300.68.1
* glibc-32bit-2.31-150300.68.1
* openSUSE Leap 15.3 (aarch64_ilp32)
* glibc-64bit-debuginfo-2.31-150300.68.1
* glibc-devel-static-64bit-2.31-150300.68.1
* glibc-64bit-2.31-150300.68.1
* glibc-profile-64bit-2.31-150300.68.1
* glibc-locale-base-64bit-2.31-150300.68.1
* glibc-devel-64bit-debuginfo-2.31-150300.68.1
* glibc-devel-64bit-2.31-150300.68.1
* glibc-utils-64bit-2.31-150300.68.1
* glibc-utils-64bit-debuginfo-2.31-150300.68.1
* glibc-locale-base-64bit-debuginfo-2.31-150300.68.1
* openSUSE Leap Micro 5.3 (aarch64 x86_64)
* glibc-locale-2.31-150300.68.1
* glibc-devel-2.31-150300.68.1
* glibc-locale-base-2.31-150300.68.1
* glibc-locale-base-debuginfo-2.31-150300.68.1
* glibc-debuginfo-2.31-150300.68.1
* glibc-devel-debuginfo-2.31-150300.68.1
* glibc-2.31-150300.68.1
* glibc-debugsource-2.31-150300.68.1
* openSUSE Leap Micro 5.4 (aarch64 s390x x86_64)
* glibc-locale-2.31-150300.68.1
* glibc-devel-2.31-150300.68.1
* glibc-locale-base-2.31-150300.68.1
* glibc-locale-base-debuginfo-2.31-150300.68.1
* glibc-debuginfo-2.31-150300.68.1
* glibc-devel-debuginfo-2.31-150300.68.1
* glibc-2.31-150300.68.1
* glibc-debugsource-2.31-150300.68.1
* openSUSE Leap 15.5 (aarch64 ppc64le s390x x86_64)
* glibc-locale-2.31-150300.68.1
* glibc-devel-2.31-150300.68.1
* glibc-utils-2.31-150300.68.1
* glibc-locale-base-2.31-150300.68.1
* nscd-2.31-150300.68.1
* glibc-locale-base-debuginfo-2.31-150300.68.1
* glibc-debuginfo-2.31-150300.68.1
* glibc-extra-2.31-150300.68.1
* glibc-utils-debuginfo-2.31-150300.68.1
* nscd-debuginfo-2.31-150300.68.1
* glibc-devel-static-2.31-150300.68.1
* glibc-devel-debuginfo-2.31-150300.68.1
* glibc-utils-src-debugsource-2.31-150300.68.1
* glibc-profile-2.31-150300.68.1
* glibc-2.31-150300.68.1
* glibc-extra-debuginfo-2.31-150300.68.1
* glibc-debugsource-2.31-150300.68.1
* openSUSE Leap 15.5 (x86_64)
* glibc-utils-32bit-2.31-150300.68.1
* glibc-locale-base-32bit-debuginfo-2.31-150300.68.1
* glibc-32bit-debuginfo-2.31-150300.68.1
* glibc-utils-32bit-debuginfo-2.31-150300.68.1
* glibc-profile-32bit-2.31-150300.68.1
* glibc-locale-base-32bit-2.31-150300.68.1
* glibc-devel-32bit-debuginfo-2.31-150300.68.1
* glibc-devel-32bit-2.31-150300.68.1
* glibc-devel-static-32bit-2.31-150300.68.1
* glibc-32bit-2.31-150300.68.1
* openSUSE Leap 15.5 (noarch)
* glibc-info-2.31-150300.68.1
* glibc-i18ndata-2.31-150300.68.1
* glibc-html-2.31-150300.68.1
* glibc-lang-2.31-150300.68.1
* SUSE Linux Enterprise Micro for Rancher 5.3 (aarch64 s390x x86_64)
* glibc-locale-2.31-150300.68.1
* glibc-devel-2.31-150300.68.1
* glibc-locale-base-2.31-150300.68.1
* glibc-locale-base-debuginfo-2.31-150300.68.1
* glibc-debuginfo-2.31-150300.68.1
* glibc-devel-debuginfo-2.31-150300.68.1
* glibc-2.31-150300.68.1
* glibc-debugsource-2.31-150300.68.1
* SUSE Linux Enterprise Micro 5.3 (aarch64 s390x x86_64)
* glibc-locale-2.31-150300.68.1
* glibc-devel-2.31-150300.68.1
* glibc-locale-base-2.31-150300.68.1
* glibc-locale-base-debuginfo-2.31-150300.68.1
* glibc-debuginfo-2.31-150300.68.1
* glibc-devel-debuginfo-2.31-150300.68.1
* glibc-2.31-150300.68.1
* glibc-debugsource-2.31-150300.68.1
* SUSE Linux Enterprise Micro for Rancher 5.4 (aarch64 s390x x86_64)
* glibc-locale-2.31-150300.68.1
* glibc-devel-2.31-150300.68.1
* glibc-locale-base-2.31-150300.68.1
* glibc-locale-base-debuginfo-2.31-150300.68.1
* glibc-debuginfo-2.31-150300.68.1
* glibc-devel-debuginfo-2.31-150300.68.1
* glibc-2.31-150300.68.1
* glibc-debugsource-2.31-150300.68.1
* SUSE Linux Enterprise Micro 5.4 (aarch64 s390x x86_64)
* glibc-locale-2.31-150300.68.1
* glibc-devel-2.31-150300.68.1
* glibc-locale-base-2.31-150300.68.1
* glibc-locale-base-debuginfo-2.31-150300.68.1
* glibc-debuginfo-2.31-150300.68.1
* glibc-devel-debuginfo-2.31-150300.68.1
* glibc-2.31-150300.68.1
* glibc-debugsource-2.31-150300.68.1
* SUSE Linux Enterprise Micro 5.5 (aarch64 s390x x86_64)
* glibc-locale-2.31-150300.68.1
* glibc-devel-2.31-150300.68.1
* glibc-locale-base-2.31-150300.68.1
* glibc-locale-base-debuginfo-2.31-150300.68.1
* glibc-debuginfo-2.31-150300.68.1
* glibc-devel-debuginfo-2.31-150300.68.1
* glibc-2.31-150300.68.1
* glibc-debugsource-2.31-150300.68.1
* Basesystem Module 15-SP5 (aarch64 ppc64le s390x x86_64)
* glibc-locale-2.31-150300.68.1
* glibc-devel-2.31-150300.68.1
* glibc-locale-base-2.31-150300.68.1
* nscd-2.31-150300.68.1
* glibc-locale-base-debuginfo-2.31-150300.68.1
* glibc-debuginfo-2.31-150300.68.1
* glibc-extra-2.31-150300.68.1
* nscd-debuginfo-2.31-150300.68.1
* glibc-devel-debuginfo-2.31-150300.68.1
* glibc-profile-2.31-150300.68.1
* glibc-2.31-150300.68.1
* glibc-extra-debuginfo-2.31-150300.68.1
* glibc-debugsource-2.31-150300.68.1
* Basesystem Module 15-SP5 (noarch)
* glibc-info-2.31-150300.68.1
* glibc-i18ndata-2.31-150300.68.1
* glibc-lang-2.31-150300.68.1
* Basesystem Module 15-SP5 (x86_64)
* glibc-locale-base-32bit-debuginfo-2.31-150300.68.1
* glibc-locale-base-32bit-2.31-150300.68.1
* glibc-32bit-2.31-150300.68.1
* glibc-32bit-debuginfo-2.31-150300.68.1
* Development Tools Module 15-SP5 (aarch64 ppc64le s390x x86_64)
* glibc-utils-2.31-150300.68.1
* glibc-debuginfo-2.31-150300.68.1
* glibc-utils-debuginfo-2.31-150300.68.1
* glibc-devel-static-2.31-150300.68.1
* glibc-utils-src-debugsource-2.31-150300.68.1
* glibc-debugsource-2.31-150300.68.1
* Development Tools Module 15-SP5 (x86_64)
* glibc-devel-32bit-debuginfo-2.31-150300.68.1
* glibc-devel-32bit-2.31-150300.68.1
* glibc-32bit-debuginfo-2.31-150300.68.1
* SUSE Linux Enterprise High Performance Computing LTSS 15 SP3 (aarch64
x86_64)
* glibc-locale-2.31-150300.68.1
* glibc-devel-2.31-150300.68.1
* glibc-utils-2.31-150300.68.1
* glibc-locale-base-2.31-150300.68.1
* nscd-2.31-150300.68.1
* glibc-locale-base-debuginfo-2.31-150300.68.1
* glibc-debuginfo-2.31-150300.68.1
* glibc-extra-2.31-150300.68.1
* glibc-utils-debuginfo-2.31-150300.68.1
* nscd-debuginfo-2.31-150300.68.1
* glibc-devel-static-2.31-150300.68.1
* glibc-devel-debuginfo-2.31-150300.68.1
* glibc-utils-src-debugsource-2.31-150300.68.1
* glibc-profile-2.31-150300.68.1
* glibc-2.31-150300.68.1
* glibc-extra-debuginfo-2.31-150300.68.1
* glibc-debugsource-2.31-150300.68.1
* SUSE Linux Enterprise High Performance Computing LTSS 15 SP3 (noarch)
* glibc-info-2.31-150300.68.1
* glibc-i18ndata-2.31-150300.68.1
* glibc-lang-2.31-150300.68.1
* SUSE Linux Enterprise High Performance Computing LTSS 15 SP3 (x86_64)
* glibc-locale-base-32bit-debuginfo-2.31-150300.68.1
* glibc-32bit-debuginfo-2.31-150300.68.1
* glibc-locale-base-32bit-2.31-150300.68.1
* glibc-devel-32bit-debuginfo-2.31-150300.68.1
* glibc-devel-32bit-2.31-150300.68.1
* glibc-32bit-2.31-150300.68.1
* SUSE Linux Enterprise High Performance Computing ESPOS 15 SP4 (aarch64
x86_64)
* glibc-locale-2.31-150300.68.1
* glibc-devel-2.31-150300.68.1
* glibc-utils-2.31-150300.68.1
* glibc-locale-base-2.31-150300.68.1
* nscd-2.31-150300.68.1
* glibc-locale-base-debuginfo-2.31-150300.68.1
* glibc-debuginfo-2.31-150300.68.1
* glibc-extra-2.31-150300.68.1
* glibc-utils-debuginfo-2.31-150300.68.1
* nscd-debuginfo-2.31-150300.68.1
* glibc-devel-static-2.31-150300.68.1
* glibc-devel-debuginfo-2.31-150300.68.1
* glibc-utils-src-debugsource-2.31-150300.68.1
* glibc-profile-2.31-150300.68.1
* glibc-2.31-150300.68.1
* glibc-extra-debuginfo-2.31-150300.68.1
* glibc-debugsource-2.31-150300.68.1
* SUSE Linux Enterprise High Performance Computing ESPOS 15 SP4 (noarch)
* glibc-info-2.31-150300.68.1
* glibc-i18ndata-2.31-150300.68.1
* glibc-lang-2.31-150300.68.1
* SUSE Linux Enterprise High Performance Computing ESPOS 15 SP4 (x86_64)
* glibc-locale-base-32bit-debuginfo-2.31-150300.68.1
* glibc-32bit-debuginfo-2.31-150300.68.1
* glibc-locale-base-32bit-2.31-150300.68.1
* glibc-devel-32bit-debuginfo-2.31-150300.68.1
* glibc-devel-32bit-2.31-150300.68.1
* glibc-32bit-2.31-150300.68.1
* SUSE Linux Enterprise High Performance Computing LTSS 15 SP4 (aarch64
x86_64)
* glibc-locale-2.31-150300.68.1
* glibc-devel-2.31-150300.68.1
* glibc-utils-2.31-150300.68.1
* glibc-locale-base-2.31-150300.68.1
* nscd-2.31-150300.68.1
* glibc-locale-base-debuginfo-2.31-150300.68.1
* glibc-debuginfo-2.31-150300.68.1
* glibc-extra-2.31-150300.68.1
* glibc-utils-debuginfo-2.31-150300.68.1
* nscd-debuginfo-2.31-150300.68.1
* glibc-devel-static-2.31-150300.68.1
* glibc-devel-debuginfo-2.31-150300.68.1
* glibc-utils-src-debugsource-2.31-150300.68.1
* glibc-profile-2.31-150300.68.1
* glibc-2.31-150300.68.1
* glibc-extra-debuginfo-2.31-150300.68.1
* glibc-debugsource-2.31-150300.68.1
* SUSE Linux Enterprise High Performance Computing LTSS 15 SP4 (noarch)
* glibc-info-2.31-150300.68.1
* glibc-i18ndata-2.31-150300.68.1
* glibc-lang-2.31-150300.68.1
* SUSE Linux Enterprise High Performance Computing LTSS 15 SP4 (x86_64)
* glibc-locale-base-32bit-debuginfo-2.31-150300.68.1
* glibc-32bit-debuginfo-2.31-150300.68.1
* glibc-locale-base-32bit-2.31-150300.68.1
* glibc-devel-32bit-debuginfo-2.31-150300.68.1
* glibc-devel-32bit-2.31-150300.68.1
* glibc-32bit-2.31-150300.68.1
* SUSE Linux Enterprise Desktop 15 SP4 LTSS 15-SP4 (x86_64)
* glibc-locale-2.31-150300.68.1
* glibc-locale-base-2.31-150300.68.1
* glibc-devel-static-2.31-150300.68.1
* glibc-devel-32bit-debuginfo-2.31-150300.68.1
* glibc-devel-32bit-2.31-150300.68.1
* glibc-32bit-2.31-150300.68.1
* glibc-locale-base-32bit-debuginfo-2.31-150300.68.1
* glibc-locale-base-32bit-2.31-150300.68.1
* glibc-debugsource-2.31-150300.68.1
* glibc-devel-2.31-150300.68.1
* glibc-utils-2.31-150300.68.1
* glibc-32bit-debuginfo-2.31-150300.68.1
* nscd-2.31-150300.68.1
* glibc-locale-base-debuginfo-2.31-150300.68.1
* glibc-debuginfo-2.31-150300.68.1
* glibc-extra-2.31-150300.68.1
* glibc-utils-debuginfo-2.31-150300.68.1
* nscd-debuginfo-2.31-150300.68.1
* glibc-utils-src-debugsource-2.31-150300.68.1
* glibc-profile-2.31-150300.68.1
* glibc-2.31-150300.68.1
* glibc-devel-debuginfo-2.31-150300.68.1
* glibc-extra-debuginfo-2.31-150300.68.1
* SUSE Linux Enterprise Desktop 15 SP4 LTSS 15-SP4 (noarch)
* glibc-info-2.31-150300.68.1
* glibc-i18ndata-2.31-150300.68.1
* glibc-lang-2.31-150300.68.1
* SUSE Linux Enterprise Server 15 SP3 LTSS 15-SP3 (aarch64 ppc64le s390x
x86_64)
* glibc-locale-2.31-150300.68.1
* glibc-devel-2.31-150300.68.1
* glibc-utils-2.31-150300.68.1
* glibc-locale-base-2.31-150300.68.1
* nscd-2.31-150300.68.1
* glibc-locale-base-debuginfo-2.31-150300.68.1
* glibc-debuginfo-2.31-150300.68.1
* glibc-extra-2.31-150300.68.1
* glibc-utils-debuginfo-2.31-150300.68.1
* nscd-debuginfo-2.31-150300.68.1
* glibc-devel-static-2.31-150300.68.1
* glibc-devel-debuginfo-2.31-150300.68.1
* glibc-utils-src-debugsource-2.31-150300.68.1
* glibc-profile-2.31-150300.68.1
* glibc-2.31-150300.68.1
* glibc-extra-debuginfo-2.31-150300.68.1
* glibc-debugsource-2.31-150300.68.1
* SUSE Linux Enterprise Server 15 SP3 LTSS 15-SP3 (noarch)
* glibc-info-2.31-150300.68.1
* glibc-i18ndata-2.31-150300.68.1
* glibc-lang-2.31-150300.68.1
* SUSE Linux Enterprise Server 15 SP3 LTSS 15-SP3 (x86_64)
* glibc-locale-base-32bit-debuginfo-2.31-150300.68.1
* glibc-32bit-debuginfo-2.31-150300.68.1
* glibc-locale-base-32bit-2.31-150300.68.1
* glibc-devel-32bit-debuginfo-2.31-150300.68.1
* glibc-devel-32bit-2.31-150300.68.1
* glibc-32bit-2.31-150300.68.1
* SUSE Linux Enterprise Server 15 SP4 LTSS 15-SP4 (aarch64 ppc64le s390x
x86_64)
* glibc-locale-2.31-150300.68.1
* glibc-devel-2.31-150300.68.1
* glibc-utils-2.31-150300.68.1
* glibc-locale-base-2.31-150300.68.1
* nscd-2.31-150300.68.1
* glibc-locale-base-debuginfo-2.31-150300.68.1
* glibc-debuginfo-2.31-150300.68.1
* glibc-extra-2.31-150300.68.1
* glibc-utils-debuginfo-2.31-150300.68.1
* nscd-debuginfo-2.31-150300.68.1
* glibc-devel-static-2.31-150300.68.1
* glibc-devel-debuginfo-2.31-150300.68.1
* glibc-utils-src-debugsource-2.31-150300.68.1
* glibc-profile-2.31-150300.68.1
* glibc-2.31-150300.68.1
* glibc-extra-debuginfo-2.31-150300.68.1
* glibc-debugsource-2.31-150300.68.1
* SUSE Linux Enterprise Server 15 SP4 LTSS 15-SP4 (noarch)
* glibc-info-2.31-150300.68.1
* glibc-i18ndata-2.31-150300.68.1
* glibc-lang-2.31-150300.68.1
* SUSE Linux Enterprise Server 15 SP4 LTSS 15-SP4 (x86_64)
* glibc-locale-base-32bit-debuginfo-2.31-150300.68.1
* glibc-32bit-debuginfo-2.31-150300.68.1
* glibc-locale-base-32bit-2.31-150300.68.1
* glibc-devel-32bit-debuginfo-2.31-150300.68.1
* glibc-devel-32bit-2.31-150300.68.1
* glibc-32bit-2.31-150300.68.1
* SUSE Linux Enterprise Server for SAP Applications 15 SP3 (ppc64le x86_64)
* glibc-locale-2.31-150300.68.1
* glibc-devel-2.31-150300.68.1
* glibc-utils-2.31-150300.68.1
* glibc-locale-base-2.31-150300.68.1
* nscd-2.31-150300.68.1
* glibc-locale-base-debuginfo-2.31-150300.68.1
* glibc-debuginfo-2.31-150300.68.1
* glibc-extra-2.31-150300.68.1
* glibc-utils-debuginfo-2.31-150300.68.1
* nscd-debuginfo-2.31-150300.68.1
* glibc-devel-static-2.31-150300.68.1
* glibc-devel-debuginfo-2.31-150300.68.1
* glibc-utils-src-debugsource-2.31-150300.68.1
* glibc-profile-2.31-150300.68.1
* glibc-2.31-150300.68.1
* glibc-extra-debuginfo-2.31-150300.68.1
* glibc-debugsource-2.31-150300.68.1
* SUSE Linux Enterprise Server for SAP Applications 15 SP3 (noarch)
* glibc-info-2.31-150300.68.1
* glibc-i18ndata-2.31-150300.68.1
* glibc-lang-2.31-150300.68.1
* SUSE Linux Enterprise Server for SAP Applications 15 SP3 (x86_64)
* glibc-locale-base-32bit-debuginfo-2.31-150300.68.1
* glibc-32bit-debuginfo-2.31-150300.68.1
* glibc-locale-base-32bit-2.31-150300.68.1
* glibc-devel-32bit-debuginfo-2.31-150300.68.1
* glibc-devel-32bit-2.31-150300.68.1
* glibc-32bit-2.31-150300.68.1
* SUSE Linux Enterprise Server for SAP Applications 15 SP4 (ppc64le x86_64)
* glibc-locale-2.31-150300.68.1
* glibc-devel-2.31-150300.68.1
* glibc-utils-2.31-150300.68.1
* glibc-locale-base-2.31-150300.68.1
* nscd-2.31-150300.68.1
* glibc-locale-base-debuginfo-2.31-150300.68.1
* glibc-debuginfo-2.31-150300.68.1
* glibc-extra-2.31-150300.68.1
* glibc-utils-debuginfo-2.31-150300.68.1
* nscd-debuginfo-2.31-150300.68.1
* glibc-devel-static-2.31-150300.68.1
* glibc-devel-debuginfo-2.31-150300.68.1
* glibc-utils-src-debugsource-2.31-150300.68.1
* glibc-profile-2.31-150300.68.1
* glibc-2.31-150300.68.1
* glibc-extra-debuginfo-2.31-150300.68.1
* glibc-debugsource-2.31-150300.68.1
* SUSE Linux Enterprise Server for SAP Applications 15 SP4 (noarch)
* glibc-info-2.31-150300.68.1
* glibc-i18ndata-2.31-150300.68.1
* glibc-lang-2.31-150300.68.1
* SUSE Linux Enterprise Server for SAP Applications 15 SP4 (x86_64)
* glibc-locale-base-32bit-debuginfo-2.31-150300.68.1
* glibc-32bit-debuginfo-2.31-150300.68.1
* glibc-locale-base-32bit-2.31-150300.68.1
* glibc-devel-32bit-debuginfo-2.31-150300.68.1
* glibc-devel-32bit-2.31-150300.68.1
* glibc-32bit-2.31-150300.68.1
* SUSE Manager Proxy 4.3 (x86_64)
* glibc-locale-2.31-150300.68.1
* glibc-locale-base-32bit-debuginfo-2.31-150300.68.1
* glibc-devel-2.31-150300.68.1
* glibc-locale-base-2.31-150300.68.1
* glibc-32bit-debuginfo-2.31-150300.68.1
* nscd-2.31-150300.68.1
* glibc-locale-base-debuginfo-2.31-150300.68.1
* glibc-debuginfo-2.31-150300.68.1
* glibc-extra-2.31-150300.68.1
* nscd-debuginfo-2.31-150300.68.1
* glibc-devel-debuginfo-2.31-150300.68.1
* glibc-locale-base-32bit-2.31-150300.68.1
* glibc-profile-2.31-150300.68.1
* glibc-2.31-150300.68.1
* glibc-extra-debuginfo-2.31-150300.68.1
* glibc-debugsource-2.31-150300.68.1
* glibc-32bit-2.31-150300.68.1
* SUSE Manager Proxy 4.3 (noarch)
* glibc-info-2.31-150300.68.1
* glibc-i18ndata-2.31-150300.68.1
* glibc-lang-2.31-150300.68.1
* SUSE Manager Retail Branch Server 4.3 (x86_64)
* glibc-locale-2.31-150300.68.1
* glibc-locale-base-32bit-debuginfo-2.31-150300.68.1
* glibc-devel-2.31-150300.68.1
* glibc-locale-base-2.31-150300.68.1
* glibc-32bit-debuginfo-2.31-150300.68.1
* nscd-2.31-150300.68.1
* glibc-locale-base-debuginfo-2.31-150300.68.1
* glibc-debuginfo-2.31-150300.68.1
* glibc-extra-2.31-150300.68.1
* nscd-debuginfo-2.31-150300.68.1
* glibc-devel-debuginfo-2.31-150300.68.1
* glibc-locale-base-32bit-2.31-150300.68.1
* glibc-profile-2.31-150300.68.1
* glibc-2.31-150300.68.1
* glibc-extra-debuginfo-2.31-150300.68.1
* glibc-debugsource-2.31-150300.68.1
* glibc-32bit-2.31-150300.68.1
* SUSE Manager Retail Branch Server 4.3 (noarch)
* glibc-info-2.31-150300.68.1
* glibc-i18ndata-2.31-150300.68.1
* glibc-lang-2.31-150300.68.1
* SUSE Manager Server 4.3 (ppc64le s390x x86_64)
* glibc-locale-2.31-150300.68.1
* glibc-devel-2.31-150300.68.1
* glibc-locale-base-2.31-150300.68.1
* nscd-2.31-150300.68.1
* glibc-locale-base-debuginfo-2.31-150300.68.1
* glibc-debuginfo-2.31-150300.68.1
* glibc-extra-2.31-150300.68.1
* nscd-debuginfo-2.31-150300.68.1
* glibc-devel-debuginfo-2.31-150300.68.1
* glibc-profile-2.31-150300.68.1
* glibc-2.31-150300.68.1
* glibc-extra-debuginfo-2.31-150300.68.1
* glibc-debugsource-2.31-150300.68.1
* SUSE Manager Server 4.3 (noarch)
* glibc-info-2.31-150300.68.1
* glibc-i18ndata-2.31-150300.68.1
* glibc-lang-2.31-150300.68.1
* SUSE Manager Server 4.3 (x86_64)
* glibc-locale-base-32bit-debuginfo-2.31-150300.68.1
* glibc-locale-base-32bit-2.31-150300.68.1
* glibc-32bit-2.31-150300.68.1
* glibc-32bit-debuginfo-2.31-150300.68.1
* SUSE Enterprise Storage 7.1 (aarch64 x86_64)
* glibc-locale-2.31-150300.68.1
* glibc-devel-2.31-150300.68.1
* glibc-utils-2.31-150300.68.1
* glibc-locale-base-2.31-150300.68.1
* nscd-2.31-150300.68.1
* glibc-locale-base-debuginfo-2.31-150300.68.1
* glibc-debuginfo-2.31-150300.68.1
* glibc-extra-2.31-150300.68.1
* glibc-utils-debuginfo-2.31-150300.68.1
* nscd-debuginfo-2.31-150300.68.1
* glibc-devel-static-2.31-150300.68.1
* glibc-devel-debuginfo-2.31-150300.68.1
* glibc-utils-src-debugsource-2.31-150300.68.1
* glibc-profile-2.31-150300.68.1
* glibc-2.31-150300.68.1
* glibc-extra-debuginfo-2.31-150300.68.1
* glibc-debugsource-2.31-150300.68.1
* SUSE Enterprise Storage 7.1 (noarch)
* glibc-info-2.31-150300.68.1
* glibc-i18ndata-2.31-150300.68.1
* glibc-lang-2.31-150300.68.1
* SUSE Enterprise Storage 7.1 (x86_64)
* glibc-locale-base-32bit-debuginfo-2.31-150300.68.1
* glibc-32bit-debuginfo-2.31-150300.68.1
* glibc-locale-base-32bit-2.31-150300.68.1
* glibc-devel-32bit-debuginfo-2.31-150300.68.1
* glibc-devel-32bit-2.31-150300.68.1
* glibc-32bit-2.31-150300.68.1
* SUSE Linux Enterprise Micro 5.1 (aarch64 s390x x86_64)
* glibc-locale-2.31-150300.68.1
* glibc-devel-2.31-150300.68.1
* glibc-locale-base-2.31-150300.68.1
* glibc-locale-base-debuginfo-2.31-150300.68.1
* glibc-debuginfo-2.31-150300.68.1
* glibc-2.31-150300.68.1
* glibc-debugsource-2.31-150300.68.1
* SUSE Linux Enterprise Micro 5.2 (aarch64 s390x x86_64)
* glibc-locale-2.31-150300.68.1
* glibc-devel-2.31-150300.68.1
* glibc-locale-base-2.31-150300.68.1
* glibc-locale-base-debuginfo-2.31-150300.68.1
* glibc-debuginfo-2.31-150300.68.1
* glibc-2.31-150300.68.1
* glibc-debugsource-2.31-150300.68.1
* SUSE Linux Enterprise Micro for Rancher 5.2 (aarch64 s390x x86_64)
* glibc-locale-2.31-150300.68.1
* glibc-devel-2.31-150300.68.1
* glibc-locale-base-2.31-150300.68.1
* glibc-locale-base-debuginfo-2.31-150300.68.1
* glibc-debuginfo-2.31-150300.68.1
* glibc-2.31-150300.68.1
* glibc-debugsource-2.31-150300.68.1

## References:

* https://bugzilla.suse.com/show_bug.cgi?id=1217445
* https://bugzilla.suse.com/show_bug.cgi?id=1217589
* https://bugzilla.suse.com/show_bug.cgi?id=1218866



SUSE-SU-2024:0871-1: important: Security update for vim


# Security update for vim

Announcement ID: SUSE-SU-2024:0871-1
Rating: important
References:

* bsc#1215005
* bsc#1217316
* bsc#1217320
* bsc#1217321
* bsc#1217324
* bsc#1217326
* bsc#1217329
* bsc#1217330
* bsc#1217432
* bsc#1219581

Cross-References:

* CVE-2023-4750
* CVE-2023-48231
* CVE-2023-48232
* CVE-2023-48233
* CVE-2023-48234
* CVE-2023-48235
* CVE-2023-48236
* CVE-2023-48237
* CVE-2023-48706
* CVE-2024-22667

CVSS scores:

* CVE-2023-4750 ( SUSE ): 7.8 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
* CVE-2023-4750 ( NVD ): 7.8 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
* CVE-2023-4750 ( NVD ): 7.8 CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
* CVE-2023-48231 ( SUSE ): 3.9 CVSS:3.1/AV:L/AC:L/PR:L/UI:R/S:U/C:N/I:L/A:L
* CVE-2023-48231 ( NVD ): 4.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L
* CVE-2023-48232 ( SUSE ): 3.9 CVSS:3.1/AV:L/AC:L/PR:L/UI:R/S:U/C:N/I:L/A:L
* CVE-2023-48232 ( NVD ): 4.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L
* CVE-2023-48233 ( SUSE ): 2.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:R/S:U/C:N/I:N/A:L
* CVE-2023-48233 ( NVD ): 4.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L
* CVE-2023-48234 ( SUSE ): 2.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:R/S:U/C:N/I:N/A:L
* CVE-2023-48234 ( NVD ): 4.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L
* CVE-2023-48235 ( SUSE ): 2.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:R/S:U/C:N/I:N/A:L
* CVE-2023-48235 ( NVD ): 4.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L
* CVE-2023-48236 ( SUSE ): 2.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:R/S:U/C:N/I:L/A:N
* CVE-2023-48236 ( NVD ): 4.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L
* CVE-2023-48237 ( SUSE ): 2.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:R/S:U/C:N/I:N/A:L
* CVE-2023-48237 ( NVD ): 4.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L
* CVE-2023-48706 ( SUSE ): 3.6 CVSS:3.1/AV:L/AC:H/PR:N/UI:R/S:U/C:N/I:L/A:L
* CVE-2023-48706 ( NVD ): 4.7 CVSS:3.1/AV:L/AC:H/PR:N/UI:R/S:U/C:N/I:N/A:H
* CVE-2024-22667 ( SUSE ): 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
* CVE-2024-22667 ( NVD ): 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

Affected Products:

* openSUSE Leap Micro 5.3
* openSUSE Leap Micro 5.4
* SUSE Enterprise Storage 7.1
* SUSE Linux Enterprise Desktop 15 SP4 LTSS 15-SP4
* SUSE Linux Enterprise High Performance Computing 15 SP2
* SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS 15-SP2
* SUSE Linux Enterprise High Performance Computing 15 SP3
* SUSE Linux Enterprise High Performance Computing 15 SP4
* SUSE Linux Enterprise High Performance Computing ESPOS 15 SP4
* SUSE Linux Enterprise High Performance Computing LTSS 15 SP3
* SUSE Linux Enterprise High Performance Computing LTSS 15 SP4
* SUSE Linux Enterprise Micro 5.1
* SUSE Linux Enterprise Micro 5.2
* SUSE Linux Enterprise Micro 5.3
* SUSE Linux Enterprise Micro 5.4
* SUSE Linux Enterprise Micro for Rancher 5.2
* SUSE Linux Enterprise Micro for Rancher 5.3
* SUSE Linux Enterprise Micro for Rancher 5.4
* SUSE Linux Enterprise Server 15 SP2
* SUSE Linux Enterprise Server 15 SP2 LTSS 15-SP2
* SUSE Linux Enterprise Server 15 SP3
* SUSE Linux Enterprise Server 15 SP3 LTSS 15-SP3
* SUSE Linux Enterprise Server 15 SP4
* SUSE Linux Enterprise Server 15 SP4 LTSS 15-SP4
* SUSE Linux Enterprise Server for SAP Applications 15 SP2
* SUSE Linux Enterprise Server for SAP Applications 15 SP3
* SUSE Linux Enterprise Server for SAP Applications 15 SP4
* SUSE Manager Proxy 4.3
* SUSE Manager Retail Branch Server 4.3
* SUSE Manager Server 4.3

An update that solves 10 vulnerabilities can now be installed.

## Description:

This update for vim fixes the following issues:

* CVE-2023-48231: Fixed Use-After-Free in win_close() (bsc#1217316).
* CVE-2023-48232: Fixed Floating point Exception in
adjust_plines_for_skipcol() (bsc#1217320).
* CVE-2023-48233: Fixed overflow with count for :s command (bsc#1217321).
* CVE-2023-48234: Fixed overflow in nv_z_get_count (bsc#1217324).
* CVE-2023-48235: Fixed overflow in ex address parsing (bsc#1217326).
* CVE-2023-48236: Fixed overflow in get_number (bsc#1217329).
* CVE-2023-48237: Fixed overflow in shift_line (bsc#1217330).
* CVE-2023-48706: Fixed heap-use-after-free in ex_substitute (bsc#1217432).
* CVE-2024-22667: Fixed stack-based buffer overflow in did_set_langmap
function in map.c (bsc#1219581).
* CVE-2023-4750: Fixed heap use-after-free in function bt_quickfix
(bsc#1215005).

Updated to version 9.1 with patch level 0111:
https://github.com/vim/vim/compare/v9.0.2103...v9.1.0111

## Patch Instructions:

To install this SUSE update use the SUSE recommended installation methods like
YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

* openSUSE Leap Micro 5.3
zypper in -t patch openSUSE-Leap-Micro-5.3-2024-871=1

* openSUSE Leap Micro 5.4
zypper in -t patch openSUSE-Leap-Micro-5.4-2024-871=1

* SUSE Linux Enterprise Micro for Rancher 5.3
zypper in -t patch SUSE-SLE-Micro-5.3-2024-871=1

* SUSE Linux Enterprise Micro 5.3
zypper in -t patch SUSE-SLE-Micro-5.3-2024-871=1

* SUSE Linux Enterprise Micro for Rancher 5.4
zypper in -t patch SUSE-SLE-Micro-5.4-2024-871=1

* SUSE Linux Enterprise Micro 5.4
zypper in -t patch SUSE-SLE-Micro-5.4-2024-871=1

* SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS 15-SP2
zypper in -t patch SUSE-SLE-Product-HPC-15-SP2-LTSS-2024-871=1

* SUSE Linux Enterprise High Performance Computing LTSS 15 SP3
zypper in -t patch SUSE-SLE-Product-HPC-15-SP3-LTSS-2024-871=1

* SUSE Linux Enterprise High Performance Computing ESPOS 15 SP4
zypper in -t patch SUSE-SLE-Product-HPC-15-SP4-ESPOS-2024-871=1

* SUSE Linux Enterprise High Performance Computing LTSS 15 SP4
zypper in -t patch SUSE-SLE-Product-HPC-15-SP4-LTSS-2024-871=1

* SUSE Linux Enterprise Desktop 15 SP4 LTSS 15-SP4
zypper in -t patch SUSE-SLE-Product-SLED-15-SP4-LTSS-2024-871=1

* SUSE Linux Enterprise Server 15 SP2 LTSS 15-SP2
zypper in -t patch SUSE-SLE-Product-SLES-15-SP2-LTSS-2024-871=1

* SUSE Linux Enterprise Server 15 SP3 LTSS 15-SP3
zypper in -t patch SUSE-SLE-Product-SLES-15-SP3-LTSS-2024-871=1

* SUSE Linux Enterprise Server 15 SP4 LTSS 15-SP4
zypper in -t patch SUSE-SLE-Product-SLES-15-SP4-LTSS-2024-871=1

* SUSE Linux Enterprise Server for SAP Applications 15 SP2
zypper in -t patch SUSE-SLE-Product-SLES_SAP-15-SP2-2024-871=1

* SUSE Linux Enterprise Server for SAP Applications 15 SP3
zypper in -t patch SUSE-SLE-Product-SLES_SAP-15-SP3-2024-871=1

* SUSE Linux Enterprise Server for SAP Applications 15 SP4
zypper in -t patch SUSE-SLE-Product-SLES_SAP-15-SP4-2024-871=1

* SUSE Manager Proxy 4.3
zypper in -t patch SUSE-SLE-Product-SUSE-Manager-Proxy-4.3-2024-871=1

* SUSE Manager Retail Branch Server 4.3
zypper in -t patch SUSE-SLE-Product-SUSE-Manager-Retail-Branch-
Server-4.3-2024-871=1

* SUSE Manager Server 4.3
zypper in -t patch SUSE-SLE-Product-SUSE-Manager-Server-4.3-2024-871=1

* SUSE Enterprise Storage 7.1
zypper in -t patch SUSE-Storage-7.1-2024-871=1

* SUSE Linux Enterprise Micro 5.1
zypper in -t patch SUSE-SUSE-MicroOS-5.1-2024-871=1

* SUSE Linux Enterprise Micro 5.2
zypper in -t patch SUSE-SUSE-MicroOS-5.2-2024-871=1

* SUSE Linux Enterprise Micro for Rancher 5.2
zypper in -t patch SUSE-SUSE-MicroOS-5.2-2024-871=1

## Package List:

* openSUSE Leap Micro 5.3 (noarch)
* vim-data-common-9.1.0111-150000.5.60.1
* openSUSE Leap Micro 5.3 (aarch64 x86_64)
* vim-small-debuginfo-9.1.0111-150000.5.60.1
* vim-small-9.1.0111-150000.5.60.1
* vim-debugsource-9.1.0111-150000.5.60.1
* vim-debuginfo-9.1.0111-150000.5.60.1
* openSUSE Leap Micro 5.4 (noarch)
* vim-data-common-9.1.0111-150000.5.60.1
* openSUSE Leap Micro 5.4 (aarch64 s390x x86_64)
* vim-small-debuginfo-9.1.0111-150000.5.60.1
* vim-small-9.1.0111-150000.5.60.1
* vim-debugsource-9.1.0111-150000.5.60.1
* vim-debuginfo-9.1.0111-150000.5.60.1
* SUSE Linux Enterprise Micro for Rancher 5.3 (noarch)
* vim-data-common-9.1.0111-150000.5.60.1
* SUSE Linux Enterprise Micro for Rancher 5.3 (aarch64 s390x x86_64)
* vim-small-debuginfo-9.1.0111-150000.5.60.1
* vim-small-9.1.0111-150000.5.60.1
* vim-debugsource-9.1.0111-150000.5.60.1
* vim-debuginfo-9.1.0111-150000.5.60.1
* SUSE Linux Enterprise Micro 5.3 (noarch)
* vim-data-common-9.1.0111-150000.5.60.1
* SUSE Linux Enterprise Micro 5.3 (aarch64 s390x x86_64)
* vim-small-debuginfo-9.1.0111-150000.5.60.1
* vim-small-9.1.0111-150000.5.60.1
* vim-debugsource-9.1.0111-150000.5.60.1
* vim-debuginfo-9.1.0111-150000.5.60.1
* SUSE Linux Enterprise Micro for Rancher 5.4 (noarch)
* vim-data-common-9.1.0111-150000.5.60.1
* SUSE Linux Enterprise Micro for Rancher 5.4 (aarch64 s390x x86_64)
* vim-small-debuginfo-9.1.0111-150000.5.60.1
* vim-small-9.1.0111-150000.5.60.1
* vim-debugsource-9.1.0111-150000.5.60.1
* vim-debuginfo-9.1.0111-150000.5.60.1
* SUSE Linux Enterprise Micro 5.4 (noarch)
* vim-data-common-9.1.0111-150000.5.60.1
* SUSE Linux Enterprise Micro 5.4 (aarch64 s390x x86_64)
* vim-small-debuginfo-9.1.0111-150000.5.60.1
* vim-small-9.1.0111-150000.5.60.1
* vim-debugsource-9.1.0111-150000.5.60.1
* vim-debuginfo-9.1.0111-150000.5.60.1
* SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS 15-SP2 (aarch64
x86_64)
* vim-debugsource-9.1.0111-150000.5.60.1
* gvim-debuginfo-9.1.0111-150000.5.60.1
* vim-debuginfo-9.1.0111-150000.5.60.1
* gvim-9.1.0111-150000.5.60.1
* vim-9.1.0111-150000.5.60.1
* SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS 15-SP2 (noarch)
* vim-data-common-9.1.0111-150000.5.60.1
* vim-data-9.1.0111-150000.5.60.1
* SUSE Linux Enterprise High Performance Computing LTSS 15 SP3 (aarch64
x86_64)
* vim-small-9.1.0111-150000.5.60.1
* vim-debugsource-9.1.0111-150000.5.60.1
* gvim-debuginfo-9.1.0111-150000.5.60.1
* vim-debuginfo-9.1.0111-150000.5.60.1
* vim-small-debuginfo-9.1.0111-150000.5.60.1
* gvim-9.1.0111-150000.5.60.1
* vim-9.1.0111-150000.5.60.1
* SUSE Linux Enterprise High Performance Computing LTSS 15 SP3 (noarch)
* vim-data-common-9.1.0111-150000.5.60.1
* vim-data-9.1.0111-150000.5.60.1
* SUSE Linux Enterprise High Performance Computing ESPOS 15 SP4 (aarch64
x86_64)
* vim-small-9.1.0111-150000.5.60.1
* vim-debugsource-9.1.0111-150000.5.60.1
* gvim-debuginfo-9.1.0111-150000.5.60.1
* vim-debuginfo-9.1.0111-150000.5.60.1
* vim-small-debuginfo-9.1.0111-150000.5.60.1
* gvim-9.1.0111-150000.5.60.1
* vim-9.1.0111-150000.5.60.1
* SUSE Linux Enterprise High Performance Computing ESPOS 15 SP4 (noarch)
* vim-data-common-9.1.0111-150000.5.60.1
* vim-data-9.1.0111-150000.5.60.1
* SUSE Linux Enterprise High Performance Computing LTSS 15 SP4 (aarch64
x86_64)
* vim-small-9.1.0111-150000.5.60.1
* vim-debugsource-9.1.0111-150000.5.60.1
* gvim-debuginfo-9.1.0111-150000.5.60.1
* vim-debuginfo-9.1.0111-150000.5.60.1
* vim-small-debuginfo-9.1.0111-150000.5.60.1
* gvim-9.1.0111-150000.5.60.1
* vim-9.1.0111-150000.5.60.1
* SUSE Linux Enterprise High Performance Computing LTSS 15 SP4 (noarch)
* vim-data-common-9.1.0111-150000.5.60.1
* vim-data-9.1.0111-150000.5.60.1
* SUSE Linux Enterprise Desktop 15 SP4 LTSS 15-SP4 (x86_64)
* vim-small-9.1.0111-150000.5.60.1
* vim-debugsource-9.1.0111-150000.5.60.1
* gvim-debuginfo-9.1.0111-150000.5.60.1
* vim-debuginfo-9.1.0111-150000.5.60.1
* vim-small-debuginfo-9.1.0111-150000.5.60.1
* gvim-9.1.0111-150000.5.60.1
* vim-9.1.0111-150000.5.60.1
* SUSE Linux Enterprise Desktop 15 SP4 LTSS 15-SP4 (noarch)
* vim-data-common-9.1.0111-150000.5.60.1
* vim-data-9.1.0111-150000.5.60.1
* SUSE Linux Enterprise Server 15 SP2 LTSS 15-SP2 (aarch64 ppc64le s390x
x86_64)
* vim-debugsource-9.1.0111-150000.5.60.1
* gvim-debuginfo-9.1.0111-150000.5.60.1
* vim-debuginfo-9.1.0111-150000.5.60.1
* gvim-9.1.0111-150000.5.60.1
* vim-9.1.0111-150000.5.60.1
* SUSE Linux Enterprise Server 15 SP2 LTSS 15-SP2 (noarch)
* vim-data-common-9.1.0111-150000.5.60.1
* vim-data-9.1.0111-150000.5.60.1
* SUSE Linux Enterprise Server 15 SP3 LTSS 15-SP3 (aarch64 ppc64le s390x
x86_64)
* vim-small-9.1.0111-150000.5.60.1
* vim-debugsource-9.1.0111-150000.5.60.1
* gvim-debuginfo-9.1.0111-150000.5.60.1
* vim-debuginfo-9.1.0111-150000.5.60.1
* vim-small-debuginfo-9.1.0111-150000.5.60.1
* gvim-9.1.0111-150000.5.60.1
* vim-9.1.0111-150000.5.60.1
* SUSE Linux Enterprise Server 15 SP3 LTSS 15-SP3 (noarch)
* vim-data-common-9.1.0111-150000.5.60.1
* vim-data-9.1.0111-150000.5.60.1
* SUSE Linux Enterprise Server 15 SP4 LTSS 15-SP4 (aarch64 ppc64le s390x
x86_64)
* vim-small-9.1.0111-150000.5.60.1
* vim-debugsource-9.1.0111-150000.5.60.1
* gvim-debuginfo-9.1.0111-150000.5.60.1
* vim-debuginfo-9.1.0111-150000.5.60.1
* vim-small-debuginfo-9.1.0111-150000.5.60.1
* gvim-9.1.0111-150000.5.60.1
* vim-9.1.0111-150000.5.60.1
* SUSE Linux Enterprise Server 15 SP4 LTSS 15-SP4 (noarch)
* vim-data-common-9.1.0111-150000.5.60.1
* vim-data-9.1.0111-150000.5.60.1
* SUSE Linux Enterprise Server for SAP Applications 15 SP2 (ppc64le x86_64)
* vim-debugsource-9.1.0111-150000.5.60.1
* gvim-debuginfo-9.1.0111-150000.5.60.1
* vim-debuginfo-9.1.0111-150000.5.60.1
* gvim-9.1.0111-150000.5.60.1
* vim-9.1.0111-150000.5.60.1
* SUSE Linux Enterprise Server for SAP Applications 15 SP2 (noarch)
* vim-data-common-9.1.0111-150000.5.60.1
* vim-data-9.1.0111-150000.5.60.1
* SUSE Linux Enterprise Server for SAP Applications 15 SP3 (ppc64le x86_64)
* vim-small-9.1.0111-150000.5.60.1
* vim-debugsource-9.1.0111-150000.5.60.1
* gvim-debuginfo-9.1.0111-150000.5.60.1
* vim-debuginfo-9.1.0111-150000.5.60.1
* vim-small-debuginfo-9.1.0111-150000.5.60.1
* gvim-9.1.0111-150000.5.60.1
* vim-9.1.0111-150000.5.60.1
* SUSE Linux Enterprise Server for SAP Applications 15 SP3 (noarch)
* vim-data-common-9.1.0111-150000.5.60.1
* vim-data-9.1.0111-150000.5.60.1
* SUSE Linux Enterprise Server for SAP Applications 15 SP4 (ppc64le x86_64)
* vim-small-9.1.0111-150000.5.60.1
* vim-debugsource-9.1.0111-150000.5.60.1
* gvim-debuginfo-9.1.0111-150000.5.60.1
* vim-debuginfo-9.1.0111-150000.5.60.1
* vim-small-debuginfo-9.1.0111-150000.5.60.1
* gvim-9.1.0111-150000.5.60.1
* vim-9.1.0111-150000.5.60.1
* SUSE Linux Enterprise Server for SAP Applications 15 SP4 (noarch)
* vim-data-common-9.1.0111-150000.5.60.1
* vim-data-9.1.0111-150000.5.60.1
* SUSE Manager Proxy 4.3 (x86_64)
* vim-small-9.1.0111-150000.5.60.1
* vim-debugsource-9.1.0111-150000.5.60.1
* vim-debuginfo-9.1.0111-150000.5.60.1
* vim-small-debuginfo-9.1.0111-150000.5.60.1
* vim-9.1.0111-150000.5.60.1
* SUSE Manager Proxy 4.3 (noarch)
* vim-data-common-9.1.0111-150000.5.60.1
* vim-data-9.1.0111-150000.5.60.1
* SUSE Manager Retail Branch Server 4.3 (x86_64)
* vim-small-9.1.0111-150000.5.60.1
* vim-debugsource-9.1.0111-150000.5.60.1
* vim-debuginfo-9.1.0111-150000.5.60.1
* vim-small-debuginfo-9.1.0111-150000.5.60.1
* vim-9.1.0111-150000.5.60.1
* SUSE Manager Retail Branch Server 4.3 (noarch)
* vim-data-common-9.1.0111-150000.5.60.1
* vim-data-9.1.0111-150000.5.60.1
* SUSE Manager Server 4.3 (ppc64le s390x x86_64)
* vim-small-9.1.0111-150000.5.60.1
* vim-debugsource-9.1.0111-150000.5.60.1
* vim-debuginfo-9.1.0111-150000.5.60.1
* vim-small-debuginfo-9.1.0111-150000.5.60.1
* vim-9.1.0111-150000.5.60.1
* SUSE Manager Server 4.3 (noarch)
* vim-data-common-9.1.0111-150000.5.60.1
* vim-data-9.1.0111-150000.5.60.1
* SUSE Enterprise Storage 7.1 (aarch64 x86_64)
* vim-small-9.1.0111-150000.5.60.1
* vim-debugsource-9.1.0111-150000.5.60.1
* gvim-debuginfo-9.1.0111-150000.5.60.1
* vim-debuginfo-9.1.0111-150000.5.60.1
* vim-small-debuginfo-9.1.0111-150000.5.60.1
* gvim-9.1.0111-150000.5.60.1
* vim-9.1.0111-150000.5.60.1
* SUSE Enterprise Storage 7.1 (noarch)
* vim-data-common-9.1.0111-150000.5.60.1
* vim-data-9.1.0111-150000.5.60.1
* SUSE Linux Enterprise Micro 5.1 (noarch)
* vim-data-common-9.1.0111-150000.5.60.1
* SUSE Linux Enterprise Micro 5.1 (aarch64 s390x x86_64)
* vim-small-debuginfo-9.1.0111-150000.5.60.1
* vim-small-9.1.0111-150000.5.60.1
* vim-debugsource-9.1.0111-150000.5.60.1
* vim-debuginfo-9.1.0111-150000.5.60.1
* SUSE Linux Enterprise Micro 5.2 (noarch)
* vim-data-common-9.1.0111-150000.5.60.1
* SUSE Linux Enterprise Micro 5.2 (aarch64 s390x x86_64)
* vim-small-debuginfo-9.1.0111-150000.5.60.1
* vim-small-9.1.0111-150000.5.60.1
* vim-debugsource-9.1.0111-150000.5.60.1
* vim-debuginfo-9.1.0111-150000.5.60.1
* SUSE Linux Enterprise Micro for Rancher 5.2 (noarch)
* vim-data-common-9.1.0111-150000.5.60.1
* SUSE Linux Enterprise Micro for Rancher 5.2 (aarch64 s390x x86_64)
* vim-small-debuginfo-9.1.0111-150000.5.60.1
* vim-small-9.1.0111-150000.5.60.1
* vim-debugsource-9.1.0111-150000.5.60.1
* vim-debuginfo-9.1.0111-150000.5.60.1

## References:

* https://www.suse.com/security/cve/CVE-2023-4750.html
* https://www.suse.com/security/cve/CVE-2023-48231.html
* https://www.suse.com/security/cve/CVE-2023-48232.html
* https://www.suse.com/security/cve/CVE-2023-48233.html
* https://www.suse.com/security/cve/CVE-2023-48234.html
* https://www.suse.com/security/cve/CVE-2023-48235.html
* https://www.suse.com/security/cve/CVE-2023-48236.html
* https://www.suse.com/security/cve/CVE-2023-48237.html
* https://www.suse.com/security/cve/CVE-2023-48706.html
* https://www.suse.com/security/cve/CVE-2024-22667.html
* https://bugzilla.suse.com/show_bug.cgi?id=1215005
* https://bugzilla.suse.com/show_bug.cgi?id=1217316
* https://bugzilla.suse.com/show_bug.cgi?id=1217320
* https://bugzilla.suse.com/show_bug.cgi?id=1217321
* https://bugzilla.suse.com/show_bug.cgi?id=1217324
* https://bugzilla.suse.com/show_bug.cgi?id=1217326
* https://bugzilla.suse.com/show_bug.cgi?id=1217329
* https://bugzilla.suse.com/show_bug.cgi?id=1217330
* https://bugzilla.suse.com/show_bug.cgi?id=1217432
* https://bugzilla.suse.com/show_bug.cgi?id=1219581



SUSE-SU-2024:0876-1: important: Security update for sudo


# Security update for sudo

Announcement ID: SUSE-SU-2024:0876-1
Rating: important
References:

* bsc#1221134
* bsc#1221151

Cross-References:

* CVE-2023-42465

CVSS scores:

* CVE-2023-42465 ( SUSE ): 7.0 CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H
* CVE-2023-42465 ( NVD ): 7.0 CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H

Affected Products:

* Basesystem Module 15-SP5
* openSUSE Leap 15.5
* SUSE Linux Enterprise Desktop 15 SP5
* SUSE Linux Enterprise High Performance Computing 15 SP5
* SUSE Linux Enterprise Micro 5.5
* SUSE Linux Enterprise Real Time 15 SP5
* SUSE Linux Enterprise Server 15 SP5
* SUSE Linux Enterprise Server for SAP Applications 15 SP5

An update that solves one vulnerability and has one security fix can now be
installed.

## Description:

This update for sudo fixes the following issues:

* CVE-2023-42465: Fixed issues introduced by first patches (bsc#1221151,
bsc#1221134).

## Patch Instructions:

To install this SUSE update use the SUSE recommended installation methods like
YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

* openSUSE Leap 15.5
zypper in -t patch SUSE-2024-876=1 openSUSE-SLE-15.5-2024-876=1

* SUSE Linux Enterprise Micro 5.5
zypper in -t patch SUSE-SLE-Micro-5.5-2024-876=1

* Basesystem Module 15-SP5
zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP5-2024-876=1

## Package List:

* openSUSE Leap 15.5 (aarch64 ppc64le s390x x86_64 i586)
* sudo-devel-1.9.12p1-150500.7.10.1
* sudo-test-1.9.12p1-150500.7.10.1
* sudo-plugin-python-1.9.12p1-150500.7.10.1
* sudo-plugin-python-debuginfo-1.9.12p1-150500.7.10.1
* sudo-debuginfo-1.9.12p1-150500.7.10.1
* sudo-debugsource-1.9.12p1-150500.7.10.1
* sudo-1.9.12p1-150500.7.10.1
* SUSE Linux Enterprise Micro 5.5 (aarch64 s390x x86_64)
* sudo-debuginfo-1.9.12p1-150500.7.10.1
* sudo-debugsource-1.9.12p1-150500.7.10.1
* sudo-1.9.12p1-150500.7.10.1
* Basesystem Module 15-SP5 (aarch64 ppc64le s390x x86_64)
* sudo-devel-1.9.12p1-150500.7.10.1
* sudo-plugin-python-1.9.12p1-150500.7.10.1
* sudo-plugin-python-debuginfo-1.9.12p1-150500.7.10.1
* sudo-debuginfo-1.9.12p1-150500.7.10.1
* sudo-debugsource-1.9.12p1-150500.7.10.1
* sudo-1.9.12p1-150500.7.10.1

## References:

* https://www.suse.com/security/cve/CVE-2023-42465.html
* https://bugzilla.suse.com/show_bug.cgi?id=1221134
* https://bugzilla.suse.com/show_bug.cgi?id=1221151



SUSE-SU-2024:0877-1: important: Security update for sudo


The content of this message was lost. It was probably cross-posted to
multiple lists and previously handled on another list.



openSUSE-SU-2024:0082-1: important: Security update for python-rpyc


openSUSE Security Update: Security update for python-rpyc
_______________________________

Announcement ID: openSUSE-SU-2024:0082-1
Rating: important
References: #1221331
Cross-References: CVE-2024-27758
Affected Products:
openSUSE Backports SLE-15-SP5
_______________________________

An update that fixes one vulnerability is now available.

Description:

This update for python-rpyc fixes the following issues:

- CVE-2024-27758: Fixed remote code execution via exposed methods
(boo#1221331).

Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Backports SLE-15-SP5:

zypper in -t patch openSUSE-2024-82=1

Package List:

- openSUSE Backports SLE-15-SP5 (noarch):

python3-rpyc-4.1.5-bp155.3.3.1

References:

https://www.suse.com/security/cve/CVE-2024-27758.html
https://bugzilla.suse.com/1221331